<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;
use Modules\User\Enums\UserRoleEnum;

class Canteen_Auth
{
    /**
     * Handle an incoming request.
     * Redirect user to admin login page if he has not the previliage to access the admin panel
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if ( ! Auth::check() ) {
            return redirect('canteen/login');
        }

        if ( ! in_array( Auth::user()->role, UserRoleEnum::canteen_admins() )) {
            Auth::logout();
            return redirect('canteen/login');
        }

        return $next($request);
    }
}
